Activity log for bug #731761

Date Who What changed Old value New value Message
2011-03-09 04:24:52 Tom Jaeger bug added bug
2011-03-09 04:33:28 Jorge Castro unity: status New Confirmed
2011-03-09 04:33:35 Jorge Castro tags bitesize
2011-03-09 10:25:55 Florian Boucault bug task added unity-2d
2011-03-09 10:41:34 Florian Boucault unity-2d: status New Confirmed
2011-03-10 01:40:23 Marco Biscaro branch linked lp:~thjaeger/unity/raise-maximized
2011-03-11 13:57:22 Didier Roche unity (Ubuntu): status New Confirmed
2011-03-11 14:47:31 Florian Boucault unity-2d: importance Undecided Medium
2011-03-12 20:01:59 Florian Boucault tags bitesize bitesize delta-with-3d
2011-04-02 00:52:41 Dylan McCall bug added subscriber Dylan McCall
2011-04-16 14:15:04 Omer Akram unity: status Confirmed Fix Released
2011-04-16 14:15:08 Omer Akram unity (Ubuntu): status Confirmed Fix Released
2011-05-31 20:12:04 Didier Roche unity-2d (Ubuntu): status New Confirmed
2012-05-25 09:57:29 Albert Astals Cid branch linked lp:~aacid/unity-2d/panel_click_gives_focus_to_maximized_windows
2012-05-25 09:57:37 Albert Astals Cid unity-2d: status Confirmed In Progress
2012-05-25 09:57:41 Albert Astals Cid unity-2d: assignee Albert Astals Cid (aacid)
2012-05-25 09:57:44 Albert Astals Cid unity-2d: milestone 5.14
2012-05-29 09:22:00 Albert Astals Cid unity-2d: status In Progress Fix Committed
2012-05-30 10:03:17 Łukasz Zemczak description This bug is very similar to bug #703411 and should be able to be fixed in much the same way. This issue comes up when raise-on-click is deactivated, in which case it is impossible to raise a maximized window that is not already on top. Clicking on the top panel should raise the window, just like middle-clicking lowers it. The fix should be reasonably simple; please let me know if I should provide a patch. TEST CASE: 1. Start a maximized application 2. Start a unmaximized (restored) application 3. Focus the unmaximized (restored) application 4. Left-click the panel titlebar -> The maximized application should get focused and moved to the top Original description: This bug is very similar to bug #703411 and should be able to be fixed in much the same way. This issue comes up when raise-on-click is deactivated, in which case it is impossible to raise a maximized window that is not already on top. Clicking on the top panel should raise the window, just like middle-clicking lowers it. The fix should be reasonably simple; please let me know if I should provide a patch.
2012-05-30 10:03:26 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2012-05-30 10:15:56 Alan Pope 🍺🐧🐱 🦄 nominated for series Ubuntu Precise
2012-05-30 10:27:19 Didier Roche bug task added unity (Ubuntu Precise)
2012-05-30 10:27:19 Didier Roche bug task added unity-2d (Ubuntu Precise)
2012-05-30 10:28:43 Didier Roche unity (Ubuntu Precise): status New Fix Released
2012-05-30 11:10:30 Gerry Boland unity-2d: milestone 5.14 5.12.1
2012-05-31 15:52:47 Łukasz Zemczak description TEST CASE: 1. Start a maximized application 2. Start a unmaximized (restored) application 3. Focus the unmaximized (restored) application 4. Left-click the panel titlebar -> The maximized application should get focused and moved to the top Original description: This bug is very similar to bug #703411 and should be able to be fixed in much the same way. This issue comes up when raise-on-click is deactivated, in which case it is impossible to raise a maximized window that is not already on top. Clicking on the top panel should raise the window, just like middle-clicking lowers it. The fix should be reasonably simple; please let me know if I should provide a patch. [Test Case] 1. Start a maximized application 2. Start a unmaximized (restored) application 3. Focus the unmaximized (restored) application 4. Left-click the panel titlebar    -> The maximized application should get focused and moved to the top [Regression Potential] Potentially clicking the panel with the mouse button can stop working or work incorrectly. Original description: This bug is very similar to bug #703411 and should be able to be fixed in much the same way. This issue comes up when raise-on-click is deactivated, in which case it is impossible to raise a maximized window that is not already on top. Clicking on the top panel should raise the window, just like middle-clicking lowers it. The fix should be reasonably simple; please let me know if I should provide a patch.
2012-07-19 09:10:45 Launchpad Janitor unity-2d (Ubuntu Precise): status New Confirmed
2012-10-02 11:53:17 Łukasz Zemczak unity-2d: milestone 5.12.1 5.14
2012-10-30 09:24:52 Łukasz Zemczak unity-2d: milestone 5.14
2012-10-30 09:25:16 Łukasz Zemczak unity-2d: status Fix Committed In Progress
2012-10-31 11:58:42 Albert Astals Cid unity-2d: assignee Albert Astals Cid (aacid)
2017-06-29 14:52:44 Bryan Quigley unity-2d: status In Progress Invalid
2017-06-29 14:52:46 Bryan Quigley unity-2d (Ubuntu): status Confirmed Invalid
2017-06-29 14:52:48 Bryan Quigley unity-2d (Ubuntu Precise): status Confirmed Invalid